Loading...
Searching...
No Matches
Dune::TupleVector< T > Class Template Reference
Common » Utilities

A class augmenting std::tuple by element access via operator[]. More...

`#include <dune/common/tuplevector.hh>`

Inheritance diagram for Dune::TupleVector< T >:

## Public Member Functions

template<class... TT, class = std::void_t<decltype(Base(std::declval<TT&&>()...))>>
constexpr | TupleVector (TT &&... tt)
| Construct from a set of arguments.
constexpr | TupleVector ()
| Default constructor.
template<std::size_t i, std::enable_if_t<(i< sizeof...(T)), int > = 0>
constexpr decltype(auto) | operator[] (const Dune::index_constant< i > &) const
| Const access to the tuple elements.
template<std::size_t i, std::enable_if_t<(i< sizeof...(T)), int > = 0>
constexpr decltype(auto) | operator[] (const Dune::index_constant< i > &)
| Non-const access to the tuple elements.

## Static Public Member Functions

static constexpr std::size_t | size ()
| Number of elements of the tuple.

## Detailed Description

template<class... T>
class Dune::TupleVector< T >

A class augmenting std::tuple by element access via operator[].

## Constructor & Destructor Documentation

## TupleVector() [1/2]

template<class... T>
template<class... TT, class = std::void_t<decltype(Base(std::declval<TT&&>()...))>>

Dune::TupleVector< T >::TupleVector | ( | TT &&... | tt | ) |

inline constexpr

Construct from a set of arguments.

This is only available if you can construct the underlying std::tuple from the same argument list.

## TupleVector() [2/2]

template<class... T>

Dune::TupleVector< T >::TupleVector | ( |  | ) |

inline constexpr

Default constructor.

## Member Function Documentation

## operator[]() [1/2]

template<class... T>
template<std::size_t i, std::enable_if_t<(i< sizeof...(T)), int > = 0>

decltype(auto) Dune::TupleVector< T >::operator[] | ( | const Dune::index_constant< i > & |  | ) |

inline constexpr

Non-const access to the tuple elements.

## operator[]() [2/2]

template<class... T>
template<std::size_t i, std::enable_if_t<(i< sizeof...(T)), int > = 0>

decltype(auto) Dune::TupleVector< T >::operator[] | ( | const Dune::index_constant< i > & |  | ) | const

inline constexpr

Const access to the tuple elements.

## size()

template<class... T>

constexpr std::size_t Dune::TupleVector< T >::size | ( |  | ) |

inline static constexpr

Number of elements of the tuple.

The documentation for this class was generated from the following file:

- tuplevector.hh